---
title: EXSLT
slug: Web/EXSLT
tags:
  - EXSLT
  - Landing
---
<p>{{XSLTRef}}</p>

<p class="summary"><span class="seoSummary">EXSLT is a set of extensions to <a href="/en-US/docs/Web/XSLT">XSLT</a>.</span> There are a number of modules; those that are supported by Firefox are listed below:</p>

<p>{{SubpagesWithSummaries}}</p>

<h2 id="EXSLT_modules">EXSLT modules</h2>

<p>To use an EXSLT function, you need to declare the namespace the function is in, and then use the appropriate prefix when calling the function. For example, to use the regular expressions package:</p>

<pre class="brush: xml;">&lt;xsl:stylesheet version="1.0"
                xmlns:xsl="<span class="nowiki">http://www.w3.org/1999/XSL/Transform</span>"
                xmlns:regexp="<span class="nowiki">http://exslt.org/regular-expressions</span>"&gt;
  &lt;xsl:template match="/"&gt;
    ...
    &lt;xsl:value-of select="regexp:replace(/root/@value, 'before', 'gi', 'AFTER')"/&gt;
    ...
  &lt;/xsl:template&gt;

&lt;/xsl:stylesheet&gt;
</pre>

<div class="topicpage-table">
<div class="section">
<h3 id="Common">Common</h3>

<p>The EXSLT Common package provides basic functions that expand upon the capabilities of XSLT. The namespace for the Common package is <code><span class="nowiki">http://exslt.org/common</span></code>.</p>

<h4 id="Functions">Functions</h4>

<ul>
 <li><code><a href="/en-US/docs/Web/EXSLT/exsl/node-set">exsl:node-set()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/exsl/object-type">exsl:object-type()</a></code></li>
</ul>

<h3 id="Math">Math</h3>

<p>The EXSLT Math package provides functions for working with numeric values and comparing nodes. The namespace for the Math package is <code><span class="nowiki">http://exslt.org/math</span></code>.</p>

<h4 id="Functions_2">Functions</h4>

<ul>
 <li><code><a href="/en-US/docs/Web/EXSLT/math/highest">math:highest()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/math/lowest">math:lowest()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/math/max">math:max()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/math/min">math:min()</a></code></li>
</ul>

<h3 id="Regular_expressions">Regular expressions</h3>

<p>The EXSLT Regular Expressions package provides functions that allow testing, matching, and replacing text using JavaScript style regular expressions.</p>

<p>The EXSLT Regular Expressions namespace is <code><span class="nowiki">http://exslt.org/regular-expressions</span></code>.</p>

<h4 id="Functions_3">Functions</h4>

<ul>
 <li><code><a href="/en-US/docs/Web/EXSLT/regexp/match">regexp:match()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/regexp/replace">regexp:replace()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/regexp/test">regexp:test()</a></code></li>
</ul>
</div>

<div class="section">
<h3 id="Sets">Sets</h3>

<p>The EXSLT Sets package offers functions that let you perform set manipulation. The namespace for these functions is <code><span class="nowiki">http://exslt.org/sets</span></code>.</p>

<h4 id="Functions_4">Functions</h4>

<ul>
 <li><code><a href="/en-US/docs/Web/EXSLT/set/difference">set:difference()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/set/distinct">set:distinct()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/set/intersection">set:intersection()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/set/has-same-node">set:has-same-node()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/set/leading">set:leading()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/set/trailing">set:trailing()</a></code></li>
</ul>

<h3 id="Strings">Strings</h3>

<p>The EXSLT Strings package provides functions that allow the manipulation of strings. The namespace for the Strings package is <code><span class="nowiki">http://exslt.org/strings</span></code>.</p>

<h4 id="Functions_5">Functions</h4>

<ul>
 <li><code><a href="/en-US/docs/Web/EXSLT/str/concat">str:concat()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/str/split">str:split()</a></code></li>
 <li><code><a href="/en-US/docs/Web/EXSLT/str/tokenize">str:tokenize()</a></code></li>
</ul>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a class="external" href="http://www.exslt.org/">EXSLT web site</a></li>
</ul>

<h2 id="Subnav">Subnav</h2>

<section id="Quick_Links">
<ol>
 <li><strong><a href="/en-US/docs/Web/XSLT">XSLT</a></strong></li>
 <li><strong><a href="/en-US/docs/Web/XPath">XPath</a></strong></li>
 <li><strong><a href="/en-US/docs/Web/EXSLT">EXSLT</a></strong></li>
 <li class="toggle">
  <details open><summary><a href="/en-US/docs/Web/EXSLT/exsl">Common (exsl)</a></summary>{{ListSubpagesForSidebar("/en-US/docs/Web/EXSLT/exsl", "", "", "exsl:", ")")}}</details>
 </li>
 <li class="toggle">
  <details open><summary><a href="/en-US/docs/Web/EXSLT/math">Math (math)</a></summary>{{ListSubpagesForSidebar("/en-US/docs/Web/EXSLT/math", "", "", "math:", ")")}}</details>
 </li>
 <li class="toggle">
  <details open><summary><a href="/en-US/docs/Web/EXSLT/regexp">Regular expressions (regexp)</a></summary>{{ListSubpagesForSidebar("/en-US/docs/Web/EXSLT/regexp", "", "", "regexp:", ")")}}</details>
 </li>
 <li class="toggle">
  <details open><summary><a href="/en-US/docs/Web/EXSLT/set">Sets (set)</a></summary>{{ListSubpagesForSidebar("/en-US/docs/Web/EXSLT/set", "", "", "set:", ")")}}</details>
 </li>
 <li class="toggle">
  <details open><summary><a href="/en-US/docs/Web/EXSLT/str">Strings (str)</a></summary>{{ListSubpagesForSidebar("/en-US/docs/Web/EXSLT/str", "", "", "str:", ")")}}</details>
 </li>
</ol>
</section>
